Автор Тема: Из-за обновления программ стало невозможно работать в debian  (Прочитано 2208 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sidbar

После обновления, новый файрфокс (esr 45.2) жутко лагает, тормоза конкретные и не только с прокруткой страниц, стало просто невозможно работать. Iceweasel получилось оставить и он отлично работает, но понятно что без обновлений его смысла так оставлять дело нет. Читал советы на сайте мозилы, все у них не втему ничего полезного не нашел. Ставил/удалял плагины и аддоны, все одно где-то намутили. Смотрел еще в about:buildconfig, много различий в этих версиях, наверное программеры не оптимизировали сборку, ничего не понимаю, как так можно было испоганить программу. Может кто-то подскажет как выйти из положения, мозилами давно пользуюсь не хотелось бы переходить на что то новое. Хотя советуют попробовать новую оперу, пока еще не юзал, какие отзывы о нем? Спасибо за ответы.
« Последнее редактирование: 03 Июля 2016, 18:40:18 от sidbar »
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн ferum

Re: Стало невозможно работать в debian
« Ответ #1 : 29 Июня 2016, 20:53:25 »
Почему вы не назвали тему например " выброшу свой компьютер на помойку"? Смысл в том что например я вообще не запариваясь установил все обновления и firefox соответственно и я не обнаружил пока каких либо неудобств при использовании данного браузера. Всё работает абсолютно штатно, даже флешплеер выругавшись первый раз на типа устаревший плагин и получив ответ отвяжись больше не выёживается как это было с iceweasel. По опыту знаю что все эти программы крепко перевязаны с видеодрайвером и если им что то не нравится тупо начинают грузить процессор или жрать оперативку о чём и говорят названные вами симптомы.
Вы ни чего не написали о своём девайсе, могу заметить что на слабом железе все современные браузеры работают очень даже не спеша а когда под капотом что то помощнее и они веселей себя чувствуют.
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: BULATUS, ihammers, sidbar

Оффлайн BULATUS

Re: Стало невозможно работать в debian
« Ответ #2 : 29 Июня 2016, 21:28:24 »
Про название темы авторитетный человек высказался... поэтому пройду мимо возмутительного места.  :)

У меня, оу глянул только что, и увидел 38.8.0. Обновиться что-ли.

sidbar, возьми лом... не то... в домашней директории есть папка .mozilla вот её перенеси в другое место, на всякий случай. После этого, открой свой браузер и посмотри на лаги.  :D
 
Пользователи, которые поблагодарили этот пост: sidbar

Оффлайн ogost

Re: Стало невозможно работать в debian
« Ответ #3 : 30 Июня 2016, 05:00:44 »
возможно тормозит гну-шный флеш плагин, за ним наблюдается такое. попробуйте flashplugin-nonfree, если конечно он ещё не установлен.

Оффлайн sidbar

Re: Стало невозможно работать в debian
« Ответ #4 : 30 Июня 2016, 11:58:50 »
Спасибо парни, вы вдохновляете меня продолжать и найти причину!
Почему вы не назвали тему например " выброшу свой компьютер на помойку"?
Тему назвал, потому что после перехода на дистрибутив, мозилла и инет это основное юзание компа. Также у многих людей в офисах где я подрабатывал эникейщиком, похожая ситуация и бюджетники денег не дают на обновление парка машин. Выбросить всегда успеем, но что делать с программами которые не запускаются в новых OC. Подход сам не правильный, обновился и делать апгрейд железа, ведь системные требования не изменяются с обновлением?

Вы ни чего не написали о своём девайсе
Девайс мой в подписи.

могу заметить что на слабом железе все современные браузеры работают очень даже не спеша а когда под капотом что то помощнее и они веселей себя чувствуют
Но ведь 38.8.0 нельзя назвать устаревшим? А симанки и многие другие с которыми все взлетает?
Одно дело не спеша, это нормально может быть и терпимо, но когда анноит после каждого тыка мышью по менюхе или копирования текста и вставки в mousepad, причем окна программ которые поверх, тоже начинают себя вести подобно новой мозилле, залипают.
После 40-й ветки у них завелся какой-то червь, пожирающий. И еще у себя на сайти имеют смелость писать о улучшении скорости работы в новых версиях. По видеодрайверу, да похоже есть связь, причем они обновили, наверное движок рендеринга графики, (пока не разобрался, так как seamonkey работает без лагов а движок тоже такой, если не ошибаюсь). В about:support и 38.8.0 и в новом у меня пишет Blocked GPU Accelerated Windows 0/2 Basic Blocked for your graphics driver version. Try updating your graphics driver to version NVIDIA 257.21 or newer.

WebGL Renderer Blocked for your graphics driver version. Try updating your graphics driver to version NVIDIA 257.21 or newer.
т.е. причина скорее не в старом железе, а в лени ковырять дырявый код, проще взять какую новую либу и закомпилить по быстрому?
Всегда было так, что линукс шел на старых компах, почему так с debian случилось, мне понравилось что парни старательно подходят к программам и не спешат новые версии вводить, а здесь такое проявление безразличия.

в домашней директории есть папка .mozilla вот её перенеси в другое место, на всякий случай. После этого, открой свой браузер и посмотри на лаги.
Да, я первым делом так тестил, перед тем как написать на форуме и на новых убунтах тоже смотрел и в debian тестинге.

возможно тормозит гну-шный флеш плагин, за ним наблюдается такое. попробуйте flashplugin-nonfree, если конечно он ещё не установлен.
Если правильно понимаю, этот плагин глючит с новой версией, как определить что он у меня установлен? Я флешем вообще не пользовался, все плагины отключены были, и видео тормозит жутко я его обычно качаю с помощью расширения дубового и смотрю с диска с помощью vlc, но в настройках на сайте ютьюбе у меня показывает HTML5, не знаю может это влиять на новый firefox ESR?. Пробовал, поставить flashplugin-nonfree, ничего не изменилось. Тормозит когда запускаю в safe mode, значит внутри где-то фича.

Кстати по тесту, который тестит секюрити, одинаково у меня на обоих версиях:


FAIL toStaticHTML API
FAIL X-Content-Type-Options
FAIL Origin header
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн alsoijw

Re: Стало невозможно работать в debian
« Ответ #5 : 30 Июня 2016, 12:12:13 »
sidbarб palemoon?
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 
Пользователи, которые поблагодарили этот пост: Aalexeey, sidbar

Оффлайн sidbar

Re: Стало невозможно работать в debian
« Ответ #6 : 30 Июня 2016, 15:42:41 »
palemoon
что-то ему мешает..
Spoiler: ShowHide
apt-get install palemoon
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 palemoon : Зависит: libc6 (>= 2.17) но 2.13-38+deb7u11 будет установлен
            Зависит: libfontconfig1 (>= 2.11) но 2.9.0-7.1 будет установлен
            Зависит: libglib2.0-0 (>= 2.37.3) но 2.33.12+really2.32.4-5 будет установлен
            Зависит: libpango-1.0-0 (>= 1.14.0) но он не может быть установлен
            Зависит: libpangocairo-1.0-0 (>= 1.14.0) но он не может быть установлен
            Зависит: libpangoft2-1.0-0 (>= 1.14.0) но он не может быть установлен
            Зависит: libstdc++6 (>= 4.9) но 4.7.2-5 будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.



Cообщение объединено 30 Июня 2016, 19:39:42
что-то ему мешает..
Прошу прощения, не делал зарядку утром, руки крутит, вбил для jessie линк, поэтому не пошло у меня, все работает по этой инструкции:
Цитировать
For Debian 7.0 run the following as root:

echo 'deb http://download.opensuse.org/repositories/home:/stevenpusser/Debian_7.0/ /' >> /etc/apt/sources.list.d/palemoon.list
apt-get update
apt-get install palemoon

You can add the repository key to apt. Keep in mind that the owner of the key may distribute updates, packages and repositories that your system will trust (more information). To add the key, run:

wget http://download.opensuse.org/repositories/home:stevenpusser/Debian_7.0/Release.key
apt-key add - < Release.key 
спасибо!

Cообщение объединено 01 Июля 2016, 12:34:21
Palemoon на страницах с видео с ютуб, зависает и не реагирует, но окно можно закрыть, в строке пишет трансферинг дата фром ютб-бла и все висит, иногда пропадает содержимое окна и остается видна только рамка и заголовок окна.
« Последнее редактирование: 01 Июля 2016, 12:34:21 от sidbar »
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн sidbar

Re: Стало невозможно работать в debian
« Ответ #7 : 02 Июля 2016, 12:12:52 »
Еще ко всему теже грабли и с icedove 45.1 приключились, невозможно стало работать в программе.
Цитировать
Palemoon на страницах с видео с ютуб, зависает и не реагирует, но окно можно закрыть, в строке пишет трансферинг дата фром ютб-бла и все висит, иногда пропадает содержимое окна и остается видна только рамка и заголовок окна.
после отключения флешплагина полегчало
« Последнее редактирование: 02 Июля 2016, 12:14:31 от sidbar »
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн ogost

Re: Стало невозможно работать в debian
« Ответ #8 : 03 Июля 2016, 14:11:10 »
Смените название темы на более информативное.

Теги: